user = "podman"
capabilities = ["NET_BIND_SERVICE"]

[service]
name = "minecraft"
image = "itzg/minecraft-server"

[environment]
TYPE = "PAPER"
EULA = "true"
TZ = "Europe/Amsterdam"
ENABLE_ROLLING_LOGS = "true"
SERVER_NAME = "Goofjes"
MOTD = "Welcome @ Goofjes.nl"
SNOOPER_ENABLED = "false"

[[environment_secrets]]
name = "RCON_PASSWORD"
secret = "minecraft_rcon_password"

[[ports]]
host = 25565
container = 25565

[[ports]]
host = 19132
container = 19132

[[volumes]]
source = "/var/containers/minecraft"
target = "/data:Z"